/***************************************************************************
                          quick.h  -  description
                             -------------------
    begin                : Sat Apr 1 2000
    copyright            : (C) 2000 by Philipp Ghring
    email                : p.guehring@poboxes.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QUICK_H
#define QUICK_H

#include "stdafx.h"
#include "transc.h"

/**Includes all Translators, and provides searching function
  *@author Philipp Ghring
  */
class Quick {
public: 
	Quick();
	~Quick();

  /** Fgt TranslatorKlasse in die Liste ein */
  void Insert(TransC *Clas);
  /** Array/List of all Translators of the different kinds */
  TransCList * Translators;
  /** Pointer to the current Translator */
  TransCList **Act;

  int search(const char *p_word,OutputC *html,int style=0);
};

QString l2u(const char *Latin1);


#endif
