
#ifndef THIS_H
#define THIS_H

#include <qvariant.h>
#include <qdialog.h>
#include <qcheckbox.h>
#include <kcombobox.h>

#include "qtrans.h"
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QComboBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QTabWidget;
class QWidget;

class Settings : public QDialog
{
    Q_OBJECT

public:
    Settings( QTrans* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);
    ~Settings();

    QPushButton* bHelp;
    QPushButton* bApply;
    QPushButton* bOk;
    QPushButton* bCancel;
    QTabWidget* TabWidget;
    QWidget* tab1;
    QLabel* TextLabel1;
    QLabel* TextLabel2;
    QComboBox* cLang;
    QLineEdit* lEng;
    QLineEdit* lSpec;
    QWidget* tab2;
    QWidget* tab3;

    QCheckBox* AutoPop;
    QCheckBox* DontClose;
    QCheckBox* DockIcon;
    QCheckBox* StartMin;

    QCheckBox* EnableShortCut;
    KComboBox* Char;
    QLabel* TextLabel3;

protected:

public slots:
    void slot_close();
    QTrans* Par;
    void slot_Ok();
    void slot_apply();
    void slot_DockIcon();
};

#endif // THIS_H
